Agora RTC Objective-C API Reference Refactor

Properties
AgoraOutputVideoFrame Class Reference

Inherits <NSObject>.

## Properties
NSInteger | type
int | width
int | height
int | yStride
int | uStride
int | vStride
uint8_t *_Nullable | yBuffer
uint8_t *_Nullable | uBuffer
uint8_t *_Nullable | vBuffer
int | rotation
int64_t | renderTimeMs
int | avSyncType
CVPixelBufferRef _Nullable | pixelBuffer
uint8_t *_Nullable | alphaBuffer
NSDictionary *_Nonnull | metaInfo

## Property Documentation

## ◆ type

- (NSInteger) type
| readwritenonatomicassign

Video format:

- 1: I420
- 2: BGRA
- 3: NV21
- 4: RGBA
- 5: IMC2
- 7: ARGB
- 8: NV12
- 12: iOS texture NV12 (CVPixelBufferRef)
- 13: iOS texture I420 (CVPixelBufferRef)
- 14: iOS texture BGRA (CVPixelBufferRef)

## ◆ width

- (int) width
| readwritenonatomicassign

The width of the Video frame.

## ◆ height

- (int) height
| readwritenonatomicassign

The height of the video frame.

## ◆ yStride

- (int) yStride
| readwritenonatomicassign

The line span of Y buffer in the YUV data.

## ◆ uStride

- (int) uStride
| readwritenonatomicassign

The line span of U buffer in the YUV data.

## ◆ vStride

- (int) vStride
| readwritenonatomicassign

The line span of V buffer in the YUV data.

## ◆ yBuffer

- (uint8_t* _Nullable) yBuffer
| readwritenonatomicassign

The pointer to the Y buffer in the YUV data.

## ◆ uBuffer

- (uint8_t* _Nullable) uBuffer
| readwritenonatomicassign

The pointer to the U buffer in the YUV data.

## ◆ vBuffer

- (uint8_t* _Nullable) vBuffer
| readwritenonatomicassign

The pointer to the V buffer in the YUV data.

## ◆ rotation

- (int) rotation
| readwritenonatomicassign

The clockwise rotation information of this frame. You can set it as 0, 90, 180 or 270.

## ◆ renderTimeMs

- (int64_t) renderTimeMs
| readwritenonatomicassign

The timestamp to render the video stream. Use this parameter for audio-video synchronization when rendering the video.

Note
  This parameter is for rendering the video, not capturing the video.

## ◆ avSyncType

- (int) avSyncType
| readwritenonatomicassign

The type of audio-video synchronization.

## ◆ pixelBuffer

- (CVPixelBufferRef _Nullable) pixelBuffer
| readwritenonatomicassign

CVPixelBuffer

## ◆ alphaBuffer

- (uint8_t* _Nullable) alphaBuffer
| readwritenonatomicassign

Portrait Segmentation meta buffer, dimension of which is the same as AgoraOutputVideoFrame. Pixl value is between 0-255, 0 represents totally background, 255 represents totally foreground.

## ◆ metaInfo

- (NSDictionary* _Nonnull) metaInfo
| readwritenonatomicstrong

The metadata information for FaceCapture and LipSync, such as blendshapes, rotation, and translation, whose key is KEY_FACE_CAPTURE.